## javax.vecmath
Class TexCoord3f

    java.lang.Object
      javax.vecmath.Tuple3f
          javax.vecmath.TexCoord3f

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class TexCoord3f

extends Tuple3f
implements java.io.Serializable

A 3 element texture coordinate that is represented by single precision floating point x,y,z coordinates.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.vecmath.Tuple3f
`x, y, z`

Constructor Summary
`TexCoord3f()` Constructs and initializes a TexCoord3f to (0,0,0).
`TexCoord3f(float[] v)` Constructs and initializes a TexCoord3f from the array of length 3.
`TexCoord3f(float x, float y, float z)` Constructs and initializes a TexCoord3f from the specified xyz coordinates.
`TexCoord3f(TexCoord3f v1)` Constructs and initializes a TexCoord3f from the specified TexCoord3f.
`TexCoord3f(Tuple3d t1)` Constructs and initializes a TexCoord3f from the specified Tuple3d.
`TexCoord3f(Tuple3f t1)` Constructs and initializes a TexCoord3f from the specified Tuple3f.

Method Summary

Methods inherited from class javax.vecmath.Tuple3f
`absolute, absolute, add, add, clamp, clamp, clampMax, clampMax, clampMin, clampMin, clone, epsilonEquals, equals, equals, get, get, getX, getY, getZ, hashCode, interpolate, interpolate, negate, negate, scale, scale, scaleAdd, scaleAdd, set, set, set, set, setX, setY, setZ, sub, sub, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TexCoord3f

    public TexCoord3f(float x,
                      float y,
                      float z)

  Constructs and initializes a TexCoord3f from the specified xyz coordinates.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate
    `z` - the z coordinate

### TexCoord3f

    public TexCoord3f(float[] v)

  Constructs and initializes a TexCoord3f from the array of length 3.

  Parameters:
    `v` - the array of length 3 containing xyz in order

### TexCoord3f

    public TexCoord3f(TexCoord3f v1)

  Constructs and initializes a TexCoord3f from the specified TexCoord3f.

  Parameters:
    `v1` - the TexCoord3f containing the initialization x y z data

### TexCoord3f

    public TexCoord3f(Tuple3f t1)

  Constructs and initializes a TexCoord3f from the specified Tuple3f.

  Parameters:
    `t1` - the Tuple3f containing the initialization x y z data

### TexCoord3f

    public TexCoord3f(Tuple3d t1)

  Constructs and initializes a TexCoord3f from the specified Tuple3d.

  Parameters:
    `t1` - the Tuple3d containing the initialization x y z data

### TexCoord3f

    public TexCoord3f()

  Constructs and initializes a TexCoord3f to (0,0,0).

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.